#
# lay2.rb
#   $Id: lay2.rb,v 1.1 2000/11/18 18:57:42 keiko Exp $
#

require "narray"
require "numru/dcl"

include NumRu::DCL
include Math

NMAX = 401
XMIN = 1600.0
XMAX = 2000.0

x = NArray.sfloat(NMAX)
y = NArray.sfloat(NMAX)

#-- data ----
x.indgen(XMIN, (XMAX-XMIN)/(NMAX-1))
y0 = 0.5
for n in 0..NMAX-1
  y[n] = 5.0*y0 + 10.0
  y0   = 3.7*y0*(1.0-y0)
end

#-- graph ----
iws = (ARGV[0] || (puts ' WORKSTATION ID (I)  ? ;'; sgpwsn; gets)).to_i
gropn iws
sglset('LFULL', true)
grfrm

grswnd(XMIN, XMAX, 11.0, 15.0)
grsvpt(0.15, 0.95, 0.15, 0.65)
uspfit
grstrf

ussttl('TIME', 'YEAR', 'TEMPERATURE', 'DEG')
usdaxs

uulin(NMAX, x, y)

grcls

