#
# ucpk02.rb
#
# $Id: ucpk02.rb,v 1.1 2000/11/22 14:35:56 keiko Exp $
#

require "narray"
require "numru/dcl"

include NumRu::DCL
include Math


JD0 = 19920401

#-- graph ---
iws = (ARGV[0] || (puts ' WORKSTATION ID (I)  ? ;'; sgpwsn; gets)).to_i
sgopn(iws.abs)

sglset('LFULL', true)
uzfact(0.7)
slrat(1.0, 0.75)
sldiv('Y', 7, 1)

sgfrm
uzinit
nd=30
sgswnd(0.0, 1.0, 0.0, nd.to_f)
sgsvpt(0.13, 0.14, 0.1, 0.9)
sgstrn(1)
sgstrf
ucyacl('L', JD0, nd)

sgfrm
uzinit
nd=90
sgswnd(0.0, 1.0, 0.0, nd.to_f)
sgsvpt(0.13, 0.14, 0.1, 0.9)
sgstrn(1)
sgstrf
ucyacl('L', JD0, nd)

sgfrm
uzinit
nd=180
sgswnd(0.0, 1.0, 0.0, nd.to_f)
sgsvpt(0.13, 0.14, 0.1, 0.9)
sgstrn(1)
sgstrf
ucyacl('L', JD0, nd)

sgfrm
uzinit
nd=400
sgswnd(0.0, 1.0, 0.0, nd.to_f)
sgsvpt(0.13, 0.14, 0.1, 0.9)
sgstrn(1)
sgstrf
ucyacl('L', JD0, nd)

sgfrm
uzinit
nd=60
sgswnd(0.0, 1.0, 0.0, nd.to_f)
sgsvpt(0.13, 0.14, 0.1, 0.9)
sgstrn(1)
sgstrf
ucyady('L', JD0, nd)
ctl = 'UCYADY (ND=60)'
uysttl('L', ctl, 0.0)

sgfrm
uzinit
nd=120
sgswnd(0.0, 1.0, 0.0, nd.to_f)
sgsvpt(0.13, 0.14, 0.1, 0.9)
sgstrn(1)
sgstrf
ucyamn('L', JD0, nd)
ctl = 'UCYAMN (ND=120)'
uysttl('L', ctl, 0.0)

sgfrm
uzinit
nd=2000
sgswnd(0.0, 1.0, 0.0, nd.to_f)
sgsvpt(0.13, 0.14, 0.1, 0.9)
sgstrn(1)
sgstrf
ucyayr('L', JD0, nd)
ctl = 'UCYAYR (ND=2000)'
uysttl('L', ctl, 0.0)

sgcls

